User
 Forgot password?
 Register
Search
Post time 2011-3-2 08:54:46

license

hi

i cant work Z50.scr in zwcad.lsp !!!

(DEFUN C:Z20 () (COMMAND "SCRIPT" "Z50.scr"))

only i can work script commad and chose z50.scr

but i want to work directly in lsp ....

Post time 2011-3-2 09:02:17

license

[QUOTE=Atabey]hi

i cant work Z50.scr in zwcad.lsp !!!

(DEFUN C:Z50 () (COMMAND "SCRIPT" "Z50.scr"))

only i can work script commad and chose z50.scr

but i want to work directly in lsp ....

  
Post time 2011-3-3 15:07:28

license


[QUOTE=Atabey]hi

i cant work Z50.scr in zwcad.lsp !!!

(DEFUN C:Z20 () (COMMAND "SCRIPT" "Z50.scr"))

only i can work script commad and chose z50.scr

but i want to work directly in lsp ....


what kind of error ?
your scr file under Zwcad support path
j.
Post time 2011-3-4 08:08:37

How to completely convert a auto cad drawing to zw

yes scr files under Zwcad support patch...

Problem:

scr files cant work in lsp files

for exmp:

z50.scr this

ZZ
0
50
2


zwcad.lsp this

;;;
;;;        zwCAD.LSP    1999
;;;        prog by Atabey
;;;
;;;
(vmon)
(DEFUN C:ZZ ( / )
(SETVAR "CMDECHO" 0)
(SETVAR "MENUECHO" 3)
(SETQ SF 0.0)
(SETQ KB (GETREAL"'nPaper Size  A ( 0(90) 1(75) 2(60) 3(45) 4 ):"))
(SETQ OL (GETINT "'nScale 1 / ?         (SADECE PAYDA):"))
(SETQ BR (GETINT "'nUnit        1 (m)  2 (cm)  3 (mm):"))

(COND ((= BR 1) (SETQ OC (* 1.0    OL))))
(COND ((= BR 2) (SETQ OC (* 100.0  OL))))
(COND ((= BR 3) (SETQ OC (* 1000.0 OL))))
(COND ((= KB 0) (SETQ XL (* 1.50 OC) YL (* 0.905 OC))))  
        (COND ((= KB 1) (SETQ XL (* 1.00 OC) YL (* 0.750 OC))))  
(COND ((= KB 2) (SETQ XL (* 1.00 OC) YL (* 0.600 OC))))
(COND ((= KB 3) (SETQ XL (* 1.00 OC) YL (* 0.458 OC))))
(COND ((= KB 4) (SETQ XL (* 0.255 OC) YL (* 0.165 OC))))
(COND ((= KB 1.5) (SETQ XL (* 1.00 OC) YL (* 0.70 OC))))
(COND ((= KB 6) (SETQ XL (* 0.900 OC) YL (* 0.600 OC))))
(SETVAR "LUNITS" 2)
(SETVAR "INSUNITS" 4)
(SETVAR "LUPREC" 3)
(SETVAR "UCSICON" 2)
(SETVAR "AUNITS" 0)
(SETVAR "APERTURE" 5)
(SETVAR "PICKBOX" 4)
(SETVAR "AUPREC" 0)
(SETVAR "ANGBASE" 0.0)
(SETVAR "REGENMODE" 1)   
(SETVAR "ANGDIR" 0)
(SETVAR "PDMODE" 35)

(SETVAR "CMDECHO" 1)
(SETVAR "MENUECHO" 0)
(GRAPHSCR)
(REDRAW)
)

;------------------****-----------------****---------------------
; KISALTILMIS  KOMUTLAR
(DEFUN C:M () (COMMAND "MOVE" "AUTO"))
(DEFUN C:T () (COMMAND "TRIM" "AUTO"))
(DEFUN C:EW () (COMMAND "ERASE" "W"))
(DEFUN C:Z50 () (COMMAND "SCRIPT" "Z50" ""))  ;;;; dont work !!!!!
(DEFUN C:DH () (COMMAND "DIM" "HORIZ"))
(DEFUN C:DV () (COMMAND "DIM" "VERTICAL"))
(DEFUN C:A () (COMMAND "ARRAY"))
(DEFUN C:O () (COMMAND "_OFFSET"))

this files work in Autocad !
Post time 2011-3-4 15:04:21

How to completely convert a auto cad drawing to zw


why not like this (not script) ?
<font face="Courier New, Courier, mono">
(defun C:Z50 ()
  (ZZ 0 50 2)
  (princ)
)

(defun C:ZZ ()
  (ZZ nil nil nil)
  (princ)
)


(DEFUN ZZ (v1 v2 v3 / )
(SETVAR "CMDECHO" 0)
(SETVAR "MENUECHO" 3)
(SETQ SF 0.0)
(if (and v1 v2 v3)
   (setq KB v1 OL v2 BR v3)
   (progn
     (SETQ KB (GETREAL"'nPaper Size  A ( 0(90) 1(75) 2(60) 3(45) 4 ):"))
     (SETQ OL (GETINT "'nScale 1 / ?         (SADECE PAYDA):"))
     (SETQ BR (GETINT "'nUnit        1 (m)  2 (cm)  3 (mm):"))
   )
)
  ....
</font>
j.

jason2011-03-04 15:04:56
Post time 2011-3-4 16:28:41

How to completely convert a auto cad drawing to zw

ok m8 very thx

problem was resolved

and other way for scr files...

scr files work on tolbar or puldown menu

for exmp

^c^c script z50.scr...
New
You have to log in before you can reply Login | Register